Announcements

[Linux] Fedora RPM package for F17-F19

Solved!
Reply
Highlighted

Re: Fedora RPM package for F17-F18

Casual Listener

I followed the step by step but can't seem to get this to work. I have Fedora 23, installed RPM fusion, installed lpf-spotify-client, launched it, saw the build. Everything went fine but now I don't know how to launch the app or if there's anything more I should do? Also ran lpf-update on the command line to make sure it's up-to-date.

 

Thoughts?

Highlighted

Re: Fedora RPM package for F17-F18

Regular

 

Do you get these log messages if you run it at the command line?

 

[rich@tyler ~]$ spotify
/usr/lib64/spotify-client/spotify: /usr/lib64/spotify-client/libcrypto.so.1.0.0: no version information available (required by /usr/lib64/spotify-client/spotify)
/usr/lib64/spotify-client/spotify: /usr/lib64/spotify-client/libssl.so.1.0.0: no version information available (required by /usr/lib64/spotify-client/spotify)
/usr/lib64/spotify-client/spotify: /usr/lib64/spotify-client/libssl.so.1.0.0: no version information available (required by /lib64/libQtNetwork.so.4)
/usr/lib64/spotify-client/spotify: /usr/lib64/spotify-client/libcrypto.so.1.0.0: no version information available (required by /lib64/libQtNetwork.so.4)
/usr/lib64/spotify-client/spotify: /usr/lib64/spotify-client/libcrypto.so.1.0.0: no version information available (required by /lib64/libQtNetwork.so.4)
/usr/lib64/spotify-client/spotify: /usr/lib64/spotify-client/libgcrypt.so.11: version `GCRYPT_1.2' not found (required by /usr/lib64/spotify-client/libcef.so)

If so you need

libgcrypt.so.11

 You can do this using this command:

sudo dnf --repofrompath libcrypto,http://copr-be.cloud.fedoraproject.org/results/red/libgcrypt.so.11/fedora-23-x86_64/ install compat-libgcrypt --nogpg

I then also needed to link the file in /lib64/spotify-client

sudo rm /lib64/spotify-client/libgcrypt.so.11
sudo ln -s /lib64/libgcrypt.so.11 /lib64/spotify-client/libgcrypt.so.11

Then it worked.

 

Most of this info is from this RPM Fusion Bug, thanks to Sérgio for input and guidance there.

Highlighted
Solution!

Re: Fedora RPM package for F17-F18

Casual Listener
As I was fighting with this, I continued looking for solutions and stumbled upon http://negativo17.org/spotify-client/

It worked immediately and IMHO it's a much more straightforward solution.

View solution in original post

Highlighted
Solution!

Re: [Linux] Fedora RPM package for F17-F19

Newbie

Can confirm.

 

The solution at http://negativo17.org/spotify-client/ worked effortlessly for me on F24 x86_64.

View solution in original post

SUGGESTED POSTS